curl -X GET https://alfred.black/api/v1/admin/agents \
-H "Authorization: Bearer alf_your_key_here"
{
"agents": [
{
"id": "main",
"label": "Alfred",
"description": "Default agent for device interactions"
},
{
"id": "vault-curator",
"label": "Curator",
"description": "Processes inbox into structured vault records"
},
{
"id": "vault-janitor",
"label": "Janitor",
"description": "Scans vault for structural issues and fixes them"
},
{
"id": "vault-distiller",
"label": "Distiller",
"description": "Extracts latent knowledge from operational records"
}
],
"surveyor": {
"labeler_model": "x-ai/grok-4.1-fast",
"embedder_model": "nomic-embed-text",
"embedder_source": "ollama"
}
}
Get the model configuration and status for all agents.
curl -X GET https://alfred.black/api/v1/admin/agents \
-H "Authorization: Bearer alf_your_key_here"
{
"agents": [
{
"id": "main",
"label": "Alfred",
"description": "Default agent for device interactions"
},
{
"id": "vault-curator",
"label": "Curator",
"description": "Processes inbox into structured vault records"
},
{
"id": "vault-janitor",
"label": "Janitor",
"description": "Scans vault for structural issues and fixes them"
},
{
"id": "vault-distiller",
"label": "Distiller",
"description": "Extracts latent knowledge from operational records"
}
],
"surveyor": {
"labeler_model": "x-ai/grok-4.1-fast",
"embedder_model": "nomic-embed-text",
"embedder_source": "ollama"
}
}
config.yaml, not OpenClaw).Show Surveyor object properties
curl -X GET https://alfred.black/api/v1/admin/agents \
-H "Authorization: Bearer alf_your_key_here"
{
"agents": [
{
"id": "main",
"label": "Alfred",
"description": "Default agent for device interactions"
},
{
"id": "vault-curator",
"label": "Curator",
"description": "Processes inbox into structured vault records"
},
{
"id": "vault-janitor",
"label": "Janitor",
"description": "Scans vault for structural issues and fixes them"
},
{
"id": "vault-distiller",
"label": "Distiller",
"description": "Extracts latent knowledge from operational records"
}
],
"surveyor": {
"labeler_model": "x-ai/grok-4.1-fast",
"embedder_model": "nomic-embed-text",
"embedder_source": "ollama"
}
}
Was this page helpful?